Package de.gebit.integrity.eclipse

## Class Activator

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.ui.plugin.AbstractUIPlugin
    - - de.gebit.integrity.eclipse.Activator

- All Implemented Interfaces:
    `org.osgi.framework.BundleActivator`

      public class Activator
      extends org.eclipse.ui.plugin.AbstractUIPlugin

  The activator class controls the plug-in life cycle.
  Author:
    Rene Schneider - initial API and implementation

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PLUGIN_ID` | The plug-in ID.

    - ### Fields inherited from class org.eclipse.core.runtime.Plugin

      `PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Activator()` | The constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.eclipse.jface.resource.ImageDescriptor` | `getImageDescriptor​(String aPath)` | Returns an image descriptor for the image file at the given plug-in relative path.
    `static Activator` | `getInstance()` | Returns the shared instance.
    `void` | `start​(org.osgi.framework.BundleContext aContext)` | Will be called by OSGi when the bundle is started.
    `void` | `stop​(org.osgi.framework.BundleContext aContext)` | Will be called by OSGi when the bundle is stopped.

    - ### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

      `createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

    - ### Methods inherited from class org.eclipse.core.runtime.Plugin

      `find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PLUGIN_ID

          public static final String PLUGIN_ID

      The plug-in ID.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Activator

          public Activator()

      The constructor.

  - ### Method Detail

    - #### start

          public void start​(org.osgi.framework.BundleContext aContext)
                     throws Exception

      Will be called by OSGi when the bundle is started.
      Specified by:
        `start` in interface `org.osgi.framework.BundleActivator`
      Overrides:
        `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
      Throws:
        `Exception`

    - #### stop

          public void stop​(org.osgi.framework.BundleContext aContext)
                    throws Exception

      Will be called by OSGi when the bundle is stopped.
      Specified by:
        `stop` in interface `org.osgi.framework.BundleActivator`
      Overrides:
        `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
      Throws:
        `Exception`

    - #### getInstance

          public static Activator getInstance()

      Returns the shared instance.
      Returns:
        the shared instance

    - #### getImageDescriptor

          public static org.eclipse.jface.resource.ImageDescriptor getImageDescriptor​(String aPath)

      Returns an image descriptor for the image file at the given plug-in relative path.
      Parameters:
        `aPath` - the path
      Returns:
        the image descriptor